<html>
<head>
<title>Ogre::D3D11DriverList Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11DriverList.html">D3D11DriverList</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11DriverList Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11DriverList" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11DriverList_8h_source.html">OgreD3D11DriverList.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D11DriverList-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#af2aca6c1df6e28ae03b6fdab91e4cdd4">D3D11DriverList</a> (IDXGIFactory1 *pDXGIFactory)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#a4edaed0348fa165c4c98044cf5612ac6">~D3D11DriverList</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#a724fff2edf2bc1faffdfabacb89f9179">enumerate</a> (IDXGIFactory1 *pDXGIFactory)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#ab03286debaac4df1c3762d4911a2d960">count</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#ab4702bafe1f5c6c3467ba457adfdb749">item</a> (size_t index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#a31c7b832687cd1e622689f74f8411fb8">item</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11DriverList.html#a02dd16611687f9c7dc0d434488ccfd99">mDriverList</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11DriverList_8h_source.html#l00037">37</a> of file <a class="el" href="OgreD3D11DriverList_8h_source.html">OgreD3D11DriverList.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af2aca6c1df6e28ae03b6fdab91e4cdd4"></a><!-- doxytag: member="Ogre::D3D11DriverList::D3D11DriverList" ref="af2aca6c1df6e28ae03b6fdab91e4cdd4" args="(IDXGIFactory1 *pDXGIFactory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11DriverList.html#af2aca6c1df6e28ae03b6fdab91e4cdd4">Ogre::D3D11DriverList::D3D11DriverList</a> </td>
          <td>(</td>
          <td class="paramtype">IDXGIFactory1 *&#160;</td>
          <td class="paramname"><em>pDXGIFactory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4edaed0348fa165c4c98044cf5612ac6"></a><!-- doxytag: member="Ogre::D3D11DriverList::~D3D11DriverList" ref="a4edaed0348fa165c4c98044cf5612ac6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11DriverList.html#a4edaed0348fa165c4c98044cf5612ac6">Ogre::D3D11DriverList::~D3D11DriverList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab03286debaac4df1c3762d4911a2d960"></a><!-- doxytag: member="Ogre::D3D11DriverList::count" ref="ab03286debaac4df1c3762d4911a2d960" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1D3D11DriverList.html#ab03286debaac4df1c3762d4911a2d960">Ogre::D3D11DriverList::count</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a724fff2edf2bc1faffdfabacb89f9179"></a><!-- doxytag: member="Ogre::D3D11DriverList::enumerate" ref="a724fff2edf2bc1faffdfabacb89f9179" args="(IDXGIFactory1 *pDXGIFactory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BOOL <a class="el" href="classOgre_1_1D3D11DriverList.html#a724fff2edf2bc1faffdfabacb89f9179">Ogre::D3D11DriverList::enumerate</a> </td>
          <td>(</td>
          <td class="paramtype">IDXGIFactory1 *&#160;</td>
          <td class="paramname"><em>pDXGIFactory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab4702bafe1f5c6c3467ba457adfdb749"></a><!-- doxytag: member="Ogre::D3D11DriverList::item" ref="ab4702bafe1f5c6c3467ba457adfdb749" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>* <a class="el" href="classOgre_1_1D3D11DriverList.html#ab4702bafe1f5c6c3467ba457adfdb749">Ogre::D3D11DriverList::item</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a31c7b832687cd1e622689f74f8411fb8"></a><!-- doxytag: member="Ogre::D3D11DriverList::item" ref="a31c7b832687cd1e622689f74f8411fb8" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>* <a class="el" href="classOgre_1_1D3D11DriverList.html#ab4702bafe1f5c6c3467ba457adfdb749">Ogre::D3D11DriverList::item</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a02dd16611687f9c7dc0d434488ccfd99"></a><!-- doxytag: member="Ogre::D3D11DriverList::mDriverList" ref="a02dd16611687f9c7dc0d434488ccfd99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>*&gt;::type <a class="el" href="classOgre_1_1D3D11DriverList.html#a02dd16611687f9c7dc0d434488ccfd99">Ogre::D3D11DriverList::mDriverList</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11DriverList_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D11DriverList_8h_source.html">OgreD3D11DriverList.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11DriverList_8h_source.html">OgreD3D11DriverList.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
